[Done] Update supported browsers on noscript.net/getit

General discussion about the NoScript extension for Firefox
Post Reply
barbaz
Senior Member
Posts: 9955
Joined: Sat Aug 03, 2013 5:45 pm

[Done] Update supported browsers on noscript.net/getit

Post by barbaz » Thu Mar 22, 2018 10:17 pm

https://noscript.net/getit wrote:Supported browsers: Firefox (Desktop and Mobile on Android), SeaMonkey, Tor Browser (where it is built-in).
Other browsers based on Gecko versions >= 45 might work, but are not tested.
Current NoScript 10 only supports Firefox >= 59, and current NoScript Classic only supports 45-56. Can this be clarified in the supported browser list?
https://noscript.net/getit wrote:Users of Firefox 44 and below are urged to upgrade their very unsafe browser. For those few who can't,
The last NS version compatible with Fx 57/58 should be added to this list.
*Always* check the changelogs BEFORE updating that important software!
-

barbaz
Senior Member
Posts: 9955
Joined: Sat Aug 03, 2013 5:45 pm

Re: Update supported browsers on noscript.net/getit

Post by barbaz » Wed Apr 18, 2018 7:47 pm

bump
*Always* check the changelogs BEFORE updating that important software!
-

barbaz
Senior Member
Posts: 9955
Joined: Sat Aug 03, 2013 5:45 pm

Re: Update supported browsers on noscript.net/getit

Post by barbaz » Wed Jun 12, 2019 12:08 am

Bump.

In addition to the above, there is now also an unclosed <pre> tag messing up the formatting of the /getit page.

Also, regarding this text -
https://noscript.net/getit wrote:You can still download NoScript "Classic" (5.1.9)
for Palemoon, Seamonkey, Waterfox and possibly other "vintage" (pre-Gecko 57) Firefox forks here:
we'll do our best to provide security fixes as long as supporting browser still guarantee their own security updates.
(emphasis mine)
The "Waterfox" referenced in that quote is Waterfox 56.x, which is now called "Waterfox Classic" -
https://www.waterfox.net/blog/waterfox-56.2.10-release-download/ wrote: What is the future development of Waterfox going to be like?

Waterfox will be maintained as two different branches, Waterfox “Classic” and Waterfox. Waterfox Classic will remain on the v56 branch and receive security and bug fixes as much as possible, for as long as possible. It will be for users who want to use legacy systems and older add-ons that may not be updated to v68.
NoScript Classic does not work on "Waterfox" 68, nor are there any plans for NoScript Classic to support any Gecko 68 based browser. So should that text be changed as well, to specifically say "Waterfox Classic"?
*Always* check the changelogs BEFORE updating that important software!
-

barbaz
Senior Member
Posts: 9955
Joined: Sat Aug 03, 2013 5:45 pm

Re: Update supported browsers on noscript.net/getit

Post by barbaz » Fri Aug 23, 2019 7:11 pm

barbaz wrote:
Wed Jun 12, 2019 12:08 am
there is now also an unclosed <pre> tag messing up the formatting of the /getit page.
Thanks Giorgio for fixing this. Image
*Always* check the changelogs BEFORE updating that important software!
-

barbaz
Senior Member
Posts: 9955
Joined: Sat Aug 03, 2013 5:45 pm

Re: Update supported browsers on noscript.net/getit

Post by barbaz » Thu May 06, 2021 1:43 pm

Bump.

With NoScript Classic no longer supported and SeaMonkey not supporting WebExtensions, SeaMonkey cannot be currently supported and thus should be removed from the list of supported browsers.

Also, what is minimum supported Chromium/Blink version?

So, to recap the notes in this thread:

1) Minimum required Gecko version needs to be changed from 45 to 59,

2) Consider adding minimum Blink version ("Other browsers based on Gecko versions >= 59 or Blink/Chromium versions >= *** might work, but are not tested."),

3) "Users of Firefox 44 and below are urged to upgrade their very unsafe browser. For those few who can't," needs changed to Firefox 58, and the last Firefox 57/58 compatible NoScript version should be linked there,

4) SeaMonkey is not currently supported,

5) "NoScript Classic for [...] Waterfox" should changed to "NoScript Classic for [...] Waterfox Classic".
*Always* check the changelogs BEFORE updating that important software!
-

User avatar
Giorgio Maone
Site Admin
Posts: 9106
Joined: Wed Mar 18, 2009 11:22 pm
Location: Palermo - Italy
Contact:

Re: Update supported browsers on noscript.net/getit

Post by Giorgio Maone » Thu May 06, 2021 9:48 pm

barbaz wrote:
Thu May 06, 2021 1:43 pm

So, to recap the notes in this thread:
Thanks for the handy recap, done.
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:89.0) Gecko/20100101 Firefox/89.0

barbaz
Senior Member
Posts: 9955
Joined: Sat Aug 03, 2013 5:45 pm

Re: Update supported browsers on noscript.net/getit

Post by barbaz » Thu May 06, 2021 11:45 pm

Much better, thanks Giorgio!

Two nits:

1) small typo - "latest NoScript version compatible with Gecko 57 - Gecko 58 is 10.1.7.3"

2) "You can still download NoScript "Classic" (5.1.9) (SHA256) for Palemoon, Waterfox Classic and possibly other "vintage" (pre-Gecko 57) Firefox forks here:" - SeaMonkey needs to be listed there, listed first (before Pale Moon). Because SM was actually formally supported, while the other two mentioned browsers never were.
*Always* check the changelogs BEFORE updating that important software!
-

User avatar
Giorgio Maone
Site Admin
Posts: 9106
Joined: Wed Mar 18, 2009 11:22 pm
Location: Palermo - Italy
Contact:

Re: Update supported browsers on noscript.net/getit

Post by Giorgio Maone » Fri May 07, 2021 5:24 am

barbaz wrote:
Thu May 06, 2021 11:45 pm

Two nits:
Fixed, thanks.
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:89.0) Gecko/20100101 Firefox/89.0

Post Reply